Hi. I'm currently running the M3-381 Dev build and having a much rougher go of it than I was with M3-346. Is it possible to use the 346 installer to "upgrade" back to 346?

Thanks,
will